Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: [email-masked] (Charles A. Roelli)
Date: Mon, 06 Nov 2017 20:41:43 +0100

> (gdb) pp specified_time
> (-1034058203135 0)

Thanks.  I think the timezone of the compiling machine changes which
arguments are safe to pass to `decode-time' on old macOSen.  I
previously wrote some programs to zero in on the bad values here:

  https://lists.gnu.org/archive/html/bug-gnulib/2017-07/msg00140.html

and here:

  https://lists.gnu.org/archive/html/bug-gnulib/2017-07/msg00142.html

[time_find.c and time_search.c]

Could you try to run them (changing the constants TIME_CHECK_DELTA and
TIME_CHECK_RANGE in time_find.c, and TIME_CHECK_GOOD and
TIME_CHECK_BAD in time_search.c as necessary)?  It is simplest to
compile them in the same directory as gnulib, which is located in the
lib/ folder of emacs, as they expct gnulib's "time.h".